Skip to main content
GET
/
api
/
end_users
/
balance
Get EndUser balance
curl --request GET \
  --url https://app.herondata.io/api/end_users/balance \
  --header 'x-api-key: <api-key>'
import requests

url = "https://app.herondata.io/api/end_users/balance"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://app.herondata.io/api/end_users/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "daily_balances": [
    {
      "accounts": [
        {
          "account_id": "<string>",
          "account_info": {
            "currency": "USD",
            "heron_id": "dsa_nm7QoneEkLuBYBdLmQTWBS",
            "institution_name": "Chase",
            "name": "Checking Account",
            "number": "123456789",
            "owner_name": "John Doe",
            "type": "Checking"
          },
          "balance": 123,
          "balance_converted": 123,
          "currency": "USD",
          "currency_converted": "USD",
          "display_account_id": "7505",
          "is_computed": true,
          "is_latest": true,
          "timestamp": "2023-11-07T05:31:56Z"
        }
      ],
      "accounts_not_converted": [
        {
          "account_id": "<string>",
          "account_info": {
            "currency": "USD",
            "heron_id": "dsa_nm7QoneEkLuBYBdLmQTWBS",
            "institution_name": "Chase",
            "name": "Checking Account",
            "number": "123456789",
            "owner_name": "John Doe",
            "type": "Checking"
          },
          "balance": 123,
          "balance_converted": 123,
          "currency": "USD",
          "currency_converted": "USD",
          "display_account_id": "7505",
          "is_computed": true,
          "is_latest": true,
          "timestamp": "2023-11-07T05:31:56Z"
        }
      ],
      "balance": 123,
      "currency": "USD",
      "date": "2023-12-25"
    }
  ],
  "forecasted": [
    {
      "account_id": "<string>",
      "balances": [
        {
          "date": "2026-07-08",
          "predicted": 42.42,
          "predicted_lower": 4.24,
          "predicted_upper": 420.42
        }
      ],
      "currency": "<string>"
    }
  ],
  "summary": {
    "accounts": [
      {
        "account_id": "<string>",
        "account_info": {
          "currency": "USD",
          "heron_id": "dsa_nm7QoneEkLuBYBdLmQTWBS",
          "institution_name": "Chase",
          "name": "Checking Account",
          "number": "123456789",
          "owner_name": "John Doe",
          "type": "Checking"
        },
        "balance": 123,
        "balance_converted": 123,
        "currency": "USD",
        "currency_converted": "USD",
        "display_account_id": "7505",
        "is_computed": true,
        "is_latest": true,
        "timestamp": "2023-11-07T05:31:56Z"
      }
    ],
    "accounts_not_converted": [
      {
        "account_id": "<string>",
        "account_info": {
          "currency": "USD",
          "heron_id": "dsa_nm7QoneEkLuBYBdLmQTWBS",
          "institution_name": "Chase",
          "name": "Checking Account",
          "number": "123456789",
          "owner_name": "John Doe",
          "type": "Checking"
        },
        "balance": 123,
        "balance_converted": 123,
        "currency": "USD",
        "currency_converted": "USD",
        "display_account_id": "7505",
        "is_computed": true,
        "is_latest": true,
        "timestamp": "2023-11-07T05:31:56Z"
      }
    ],
    "balance": 123,
    "currency": "USD",
    "date": "2023-12-25"
  },
  "warnings": []
}

Authorizations

x-api-key
string
header
required

Query Parameters

end_user_id
string | null

end_user_id for statistics; either end_user_id or end_user_heron_id is required

Example:

"your_end_user_id"

end_user_heron_id
string | null

Heron-generated id for end user; either end_user_id or end_user_heron_id is required

Example:

"eus_MCKzx7acyMJqmQSeNcCaBr"

to_currency
enum<string> | null

ISO 4217 currency code to convert to

Available options:
GBP,
USD,
EUR,
CAD,
AUD,
null
Example:

"USD"

timestamp_min
string<date-time> | null

Deprecated (use date_min instead). Filter for transactions with timestamp after the input value

Example:

"2026-07-08T22:04:45.628777"

date_min
string<date> | null

Filter for transactions with timestamp after the input value (inclusive). It has precedence over timestamp_min

Example:

"2026-07-08"

timestamp_max
string<date-time> | null

Deprecated (use date_max instead). Filter for transactions with timestamp earlier than the input value

Example:

"2026-07-07T22:04:45.628826"

date_max
string<date> | null

Filter for transactions with date earlier than the input value (inclusive). It has precedence over timestamp_max

Example:

"2026-07-07"

include_forecast
boolean
default:false

If true, forecasts the balances of each account

account_ids
string[]

Filter by specific account reference IDs

Example:
["1234", "5678"]

Response

OK. Empty balances include a warning reason when no balance data is available.

daily_balances
object[]
forecasted
object[]
summary
object
warnings
enum<string>[]

Empty-balance reason codes. Populated responses return an empty list.

Available options:
no_transactions_present,
transactions_present_but_not_enriched,
transactions_enriched_but_no_balance_data